gsfonts-x11 (0.28) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Add missing colon in closes line.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * Update to Standards-Version 4.6.0 (no changes).
  * Update to debhelper 13.
  * Mark as "Multi-Arch: foreign" (Closes: #968266).

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + gsfonts-x11: Drop versioned constraint on gsfonts in Depends.
    + gsfonts-x11: Drop versioned constraint on gsfonts in Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Oct 2021 14:09:18 +0200

gsfonts-x11 (0.27) unstable; urgency=medium

  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (no changes).
  * Upgrade to debhelper v12.
  * Add buildlog to gitlab-ci test pipeline.
  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 07 Jul 2019 17:34:33 +0200

gsfonts-x11 (0.26) unstable; urgency=medium

  * Add Vcs-Headers pointing to salsa.debian.org.
  * Use $() instead of backticks in postrm.
  * Add a testsuite.
  * Remove sketch workarounds from gsfonts-x11.alias, since the X11 sketch
    longer exists in Debian and fonts no longer exist.
  * Upgrade Standards-Version to 4.1.5.
    - Declare Rules-Requires-Root: no.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 27 Jul 2018 19:20:55 +0200

gsfonts-x11 (0.25) unstable; urgency=medium

  * Upgrade to Standards-Version 4.1.3
    - change copyrights-format to https.
  * Change compat to 11 and depend on debhelper >= 11~.
  * Fix some trailing whitespaces.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Jan 2018 13:58:56 +0100

gsfonts-x11 (0.24) unstable; urgency=medium

  * Change source format to 3.0 (native).
  * Migrate debian/rules from classic debhelper to dh.
  * Change compat to 9 and depend on debhelper >= 9.
  * Update copyright to DEP5 format.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 30 Dec 2015 23:06:32 +0100

gsfonts-x11 (0.23) unstable; urgency=medium

  * Upgrade to Standards-Version 3.9.6
  * Add build-arch, build-indep to debian/rules.
  * Fix spelling to "Allows one to" (Closes: #687232).
  * s/Postscript/PostScript/ (Closes: #618467).
  * Remove debian/preinst, since the upgrade code from <<0.7 is no longer
    needed (Closes: #499144).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 22 Aug 2015 07:31:20 +0200

gsfonts-x11 (0.22) unstable; urgency=low

  * Change section from x11 to fonts.
  * Fix typo in package description.
  * Add debian/source/format 1.0.
  * Upgrade to Standards-Version 3.9.1
    - Change versioned Conflicts to Breaks.
  * Add debian/postrm that purges fonts.{alias|dir|scale} if xfonts-utils
    was purged before (Closes: #350194).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 03 Mar 2011 11:06:55 +0100

gsfonts-x11 (0.21) unstable; urgency=low

  * Remove dependency on xfonts-utils, because xutils is automatically
    depended by debhelper via ${misc:Depends} (Closes: #445472).
  * Update Standards-Version to 3.8.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Jun 2008 14:32:33 +0200

gsfonts-x11 (0.20) unstable; urgency=low

  * Extend the README file with comments about font path and the order of
    75/100dpi:unscaled, Type1, 75/100dpi (scaled) (Closes: #248266).
  * Build-Depends instead of Build-Depends-Indep on debhelper and the like.
  * Update debian/compat to 5.
  * Update Standards-Version to 3.7.2 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2006 22:02:41 +0200

gsfonts-x11 (0.19.0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with the latest debhelper so that update-fonts-dir gets called
    with --x11r7-layout and fonts are registered properly to the X server.
    (Closes: #362911)
  * Bump build-dependency on debhelper to (>= 5.0.35), since that's the
    version that gets everything right.

 -- Adeodato Simó <dato@net.com.org.es>  Fri,  9 Jun 2006 01:17:38 +0200

gsfonts-x11 (0.19) unstable; urgency=low

  * Deal with the move of X fonts from /usr/X11R6/lib/X11/fonts to
    /usr/share/fonts/X11 (Closes: #362110, #362328).
  * Build-Depend on debhelper >= 5.0.29, which supports /usr/share/fonts/X11.
    Depend on ${misc:Depends}, which implies a dependency on xfonts-utils,
    which is needed for the font transition.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 13 Apr 2006 19:48:25 +0200

gsfonts-x11 (0.18) unstable; urgency=low

  * Fix build dependency to debhelper >= 4.0.0.
  * Upgrade to Standards-Version 3.6.2 (no changes).
  * Modify the perl linebreaks in debian/rules to also run with newer
    versions of make. Thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for providing a patch (Closes: #347406).
  * Update FSF address in copyright file.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 15 Jan 2006 13:15:22 +0100

gsfonts-x11 (0.17) unstable; urgency=low

  * Extend fonts.scale and fonts.alias to support iso8859-15 in the same
    way as iso8859-1 and iso8859-2 are handled.
  * Remove trailing dot from package description.
  * Upgrade to Standards-Version 3.5.8 (all changes automated by debhelper).
  * Upgrade to debhelper >= 4.0.
    This solves the problem with purging the package when it was first
    removed and xutils were deinstalled in between (Closes: #141382).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  2 Mar 2003 15:01:52 +0100

gsfonts-x11 (0.16) unstable; urgency=low

  * Remove fixed width font aliases (formerly necessary for Tk8.2) from
    fonts.alias file (Closes: #129834).
  * Depend on xfonts (>= 4.1.0-12) as suggested by Branden
    Robinson. (Closes: #112140).
  * Build-Depend on debhelper >= 3.0.20, because this version optimizes
    dh_installxfonts.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 18 Jan 2002 20:01:51 +0100

gsfonts-x11 (0.15) unstable; urgency=low

  * Extend fonts.scale and fonts.alias to support iso8859-2 in the same
    way as iso8859-1 are handled.  (Closes: #119420).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  9 Dec 2001 13:39:57 +0100

gsfonts-x11 (0.14) unstable; urgency=low

  * Add a comment about using a combination of Adobe fonts and ghostscript
    fonts to the README, how to change the font path to avoid problems
    (Closes: #115818).
  * Remove dh_testversion from debian/rules (now handled by Build-Depends).
  * Use Build-Depends-Indep instead of Build-Depends to make lintian happy.

 -- Roland Rosenfeld <roland@debian.org>  Thu,  1 Nov 2001 14:52:37 +0100

gsfonts-x11 (0.13) unstable; urgency=low

  * Depend on gsfonts (>=6.0-2) now (Closes: #97204).
  * Link fonts from /usr/share/fonts/type1/gsfonts now.
  * Upgrade Standards-Version to 3.5.2 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 May 2001 10:58:41 +0200

gsfonts-x11 (0.12.2) unstable; urgency=low

  * Recompile with debhelper >=3.0.12 to call mkfontdir with option -e
    (Closes: #89428)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 19 Mar 2001 17:37:14 +0100

gsfonts-x11 (0.12.1) unstable; urgency=low

  * Upgrade to Standards-Version 3.2.1 (no changes).
  * Upgrade to new debhepler:
    - Change to DH_COMPAT=2.
    - Add some dh_* calls to debian/rules.
  * Build-Depend on dephelper >= 2.1.5 for a working dh_installxfonts.
  * Remove postinst and postrm, which are now created by dh_installxfonts.
  * Depend on xutils (>= 4.0.1-9) instead of xbase-clients (>= 3.3.3.1-5),
    because update-fonts-{alias,scale} were moved from xbase-clients to
    xutils in version 4.0.1-9. (Closes: #82950).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Jan 2001 16:31:24 +0100

gsfonts-x11 (0.12) frozen unstable; urgency=low

  * Added some font aliases to fit the font names used in sketch.
  * This wasn't a bug in gsfonts-x11, but it solves some problems with
    sketch, so I would like to see it in frozen as a fix of an
    (unreported) bug in sketch.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 Jan 2000 12:53:55 +0100

gsfonts-x11 (0.11) unstable; urgency=low

  * Fix preinst, which returned 1 if /etc/X11/XF86Config doesn't exist in
    the past (Closes: #54464).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  8 Jan 2000 23:31:11 +0100

gsfonts-x11 (0.10) unstable; urgency=low

  * Add two aliases to fonts.alias to work around a problem with Tk8.2
    which uses the helvetica fonts with AvgWidth "0" instead of "*".  This
    implies Tk8.2 programs with the default fonts to use scaled Type1
    fonts instead of the existing(!) 12pt pixel fonts, which look much
    better.

 -- Roland Rosenfeld <roland@debian.org>  Sat,  8 Jan 2000 12:37:11 +0100

gsfonts-x11 (0.9) unstable; urgency=low

  * Make /etc/X11/fonts/Type1/gsfonts-x11.{alias,scale} conffiles.

 -- Roland Rosenfeld <roland@debian.org>  Fri,  7 Jan 2000 02:25:53 +0100

gsfonts-x11 (0.8) unstable; urgency=low

  * Major rewrite.
  * Do no longer add /usr/lib/ghostscript/fonts to /etc/X11/XF86Config but
    create symlinks to /usr/X11R6/lib/X11/Type1/ and use the
    update-fonts-{scale,alias} mechanism.

 -- Roland Rosenfeld <roland@debian.org>  Fri,  7 Jan 2000 00:28:39 +0100

gsfonts-x11 (0.7) unstable; urgency=low

  * Upgrade to Standards 3.1.1: Add Build-Depends.
  * Add some aliases for avantgarde to work with xfig 3.2.3-beta-1.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 15 Dec 1999 03:55:38 +0100

gsfonts-x11 (0.6) unstable; urgency=low

  * Removed duplicate alias from fonts.alias.
  * Added README to explain what this package does and how it should be
    used (Closes: #47926).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Oct 1999 22:48:56 +0200

gsfonts-x11 (0.5) unstable; urgency=low

  * Moved #DEBHELPER# at the beginning of post[inst|rm], otherwise
    post[inst|rm] will be exited before this.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 24 Sep 1999 16:46:34 +0200

gsfonts-x11 (0.4) unstable; urgency=low

  * Upgrade to policy 3.0.1.
  * Add #DEBHELPER# to postinst and postrm.
  * On a system without FontPath definition in XF86Config, don't add the
    ghostscript fonts there but inform the user to do this manually
    (Closes: #45622).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 21 Sep 1999 09:24:25 +0200

gsfonts-x11 (0.3) unstable; urgency=low

  * Rewrote postinst and postrm based on some idea of Decklin Foster
    <decklin@home.com> (Closes: #41183):
    - Don't edit /etc/X11/XF86Config, if it is a symbolic link.
    - Try to place the ghostscript font path before 75dpi (scaled) and
      100dpi (scaled) or it these can not be found at the end of Section
      "Files".
  * Changed Policy to 2.5.1, GPL now in /usr/share/common-licenses/GPL.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Aug 1999 16:58:52 +0200

gsfonts-x11 (0.2) unstable; urgency=low

  * Added another alias for Zapf Chancery (needed by the text example of
    sketch).
  * Exit postinst with return value 0, if /etc/X11/XF86Config isn't
    available (Closes: #41165).
  * Don't worry in postrm, if /etc/X11/XF86Config isn't available.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 12 Jul 1999 20:42:59 +0200

gsfonts-x11 (0.1) unstable; urgency=low

  * Initial release.
  * This package registers the gsfonts with X11 (Closes: #25081).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 17 May 1999 15:05:16 +0200
